Name:		xfce4-xkb-plugin
Version:	0.4.3
Release:	1%{?dist}
Summary:	XKB layout switcher for the Xfce panel

Group:		User Interface/Desktops
License:	BSD
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.20, libxfcegui4-devel >= 4.3.20, libxml2-devel
BuildRequires:	gettext, perl(XML::Parser)
# for modular X
%if "%{?fedora}" > "4"
#BuildRequires:	libXt-devel
BuildRequires:	xorg-x11-proto-devel
%endif
Requires:	xfce4-panel >= 4.3.99.2

%description
Xfce XKB layout switch plugin for the Xfce panel. It displays the current 
keyboard layout, and refreshes when layout changes. The layout can be 
switched by simply clicking on the plugin. For now the keyboard layouts 
cannot be configured from the plugin itself, they should be set in the 
XF86Config file or some other way (e.g. setxkbmap).

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%dir %{_datadir}/xfce4/xkb/
%dir %{_datadir}/xfce4/xkb/flags
%{_datadir}/xfce4/xkb/flags/*.png

%changelog
* Mon Jan 22 2007 Christoph Wickert <fedora christoph-wickert de> - 0.4.3-1
- Update to 0.4.3 on Xfce 4.4.

* Sat Dec 09 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.2-1
- Update to 0.4.2.

* Fri Dec 01 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.1-1
- Update to 0.4.1 on Xfce 4.3.99.2.

* Thu Oct 05 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.0-0.2.20060923svn
- Bump release for devel checkin.

* Sat Sep 23 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4.0-0.1.20060923svn
- Update to svn snapshot of Sep 23rd 2006 on Xfce 4.3.99.1.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.3.5-3
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.5-2
- Require xfce4-panel.

* Fri Mar 31 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.5-1
- Update to 0.3.5.

* Fri Mar 17 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.4-1
- Update to 0.3.4.

* Fri Mar 10 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.3-1
- Update to 0.3.3.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-6
- Rebuild for Fedora Extras 5. 

* Fri Dec 30 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-5
- Changes for modular X: Add libXext-devel and libXpm-devel BuildReqs.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-4
- Add libxfcegui4-devel BuildReqs.
- Fix %%defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.2-1.fc3.cw
- Initial RPM release.
